OAuth Access Token Generation
Use this API to generate an access token after the user completes the OAuth authentication process. This token is required to access user details once the user provides consent.
Note: The X Client ID and X Client Secret mentioned in this API are obtained from the Merchant Dashboard when creating the app under 1-Click section.
Documentation Index
Fetch the complete documentation index at: https://telr-docs.cashfree.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Client ID. You can find your ID in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Headers
API version to be used. Format is in YYYY-MM-DD
Body
Find the request parameters to Access Token Generation
This is the authcode for generating the access token. The SDK sends the callback using the redirect URL provided in the Merchant Dashboard while creating the app. The authcode will be included in the callback sent to the redirect URL.
"auth_code_value"
Response
Access Token Generation Response Body
It displays the unique ID you created to identify the verification request in initiate OAuth request.
"test_verification_id"
It displays the unique ID created by Cashfree Payments for reference purposes.
format: int64
123
The expiration date and time for the access token, in UTC format. Format - YYYY-MM-DDTHH:mm:ssZ.
"2024-12-31T23:59:59Z"
It displays the the access token value. Use this access token to get the user details in fetch user details API.
"access_token_value"
